+ Post New Thread
Page 1 of 533 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 13306

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 38,952
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 49,933
    18th Sep 2006 10:46 pm Go to last post
  1. Lisp to change the color of all incl blocks

    Hi there i found this vba code an it works perfekt when i can use the vba. but in the office there is vba restricted and so i would like to use this in a lisp: Sub EsWerdeDunkel() Dim Entity...

    Started by raffich‎, 26th Aug 2015 08:24 pm
    • Replies: 5
    • Views: 240
    Today 01:36 am Go to last post
  2. dmentional rebar

    hi im trying to make a rebar with a dimenson. first i create the polyline , and right after this i want to create a dim line. i've tryied to use the "objet" mode but it wont work. (defun...

    Started by samifox‎, Yesterday 09:10 pm
    • Replies: 0
    • Views: 40
    Yesterday 09:10 pm Go to last post
  3. dialog box that changes custom prop

    Hello, I am having a problem/difficulty with the autolisp that I made for my dcl. I know very little about autolisp and I don’t know how the make what I want work through autolisp and could use...

    Started by dcokken‎, 31st Aug 2015 11:48 am
    2 Pages
    1 2
    • Replies: 15
    • Views: 299
    Yesterday 08:34 pm Go to last post
  4. Is any way to get view name ?

    Hello Is any way to get view name in current drawing ? top ,bottom,left,reght ,front , etc. This code is change the object form left view to top view. I want auto judge the current view...

    Started by andy_lee‎, Yesterday 04:46 pm
    • Replies: 1
    • Views: 82
    Yesterday 07:51 pm Go to last post
  5. Strike Through Text, Mtext, Leaders, Multileaders, Dimensions

    Due to some of our drafting guidelines, we need to strike through Text, Mtext, Leaders, Multileaders, Dimensions. The only issue is the strike through needs to be on a different layer.Therefore we...

    Started by Bill_Myron‎, Yesterday 06:17 pm
    • Replies: 0
    • Views: 50
    Yesterday 06:17 pm Go to last post
  6. Sorting Lists within Lists of points, with fuzz

    I have a list that essentially consists of lists of points. I need to compare the lists of points (with fuzz that can be 2’, but fractions of an inch are all they vary by) and record all the ones...

    Started by Quest for Peace‎, Yesterday 06:28 am
    • Replies: 6
    • Views: 165
    Yesterday 04:26 pm Go to last post
  7. Update data in tables from multiple drawings

    Good Morning, I have a drawing that contains tables with data describing properties of the pieces(PCMARK, QTY, L, W, WEIGHT). At the beginning we release this tables to be used for estimating...

    Started by tazzzz‎, Yesterday 02:19 pm
    • Replies: 0
    • Views: 75
    Yesterday 02:19 pm Go to last post
  8. Insert Table through Lisp

    Hi All, I'm currently in the process of setting up some customisations for my AutoCAD profile. At present I have set up an Excel sheet which makes titleblock alterations through a Lee Mac lisp...

    Started by Argo‎, Yesterday 04:43 am
    • Replies: 2
    • Views: 118
    Yesterday 10:57 am Go to last post
  9. Nest Blocks and Entity color loop

    Hi folks. Have been trying to make s lisp code for a simple task but turned out that it might not be so easy. I found lots of information but not this one. So i'm asking if this is even possible...

    Started by Apache2k‎, Yesterday 08:03 am
    • Replies: 2
    • Views: 87
    Yesterday 10:04 am Go to last post
  10. Help with Polyline Lisp (Export All Lengths to Table)

    Hello, I am searching for a lisp that can export the lengths of all selected polylines and export them to either Excel or an AutoCad table. I have found and tested around 20 lisps but so far...

    Started by gordon_Gjs‎, 28th Aug 2015 04:46 pm
    2 Pages
    1 2
    export, lengths, lisp, polyline, table
    • Replies: 14
    • Views: 509
    Yesterday 04:12 am Go to last post
  11. Lisp for fillet radius.

    I currently have a lisp routine that will put the radius of fillet at what the user inputs for the command. For example f0 is: (defun c:f0 () (RoutineLog "F0") (setvar "FilletRad" 0) ...

    Started by broncos15‎, 27th Aug 2015 12:28 am
    • Replies: 6
    • Views: 338
    31st Aug 2015 04:52 pm Go to last post
  12. Licencing Autolisp/DCL products

    Hi everyone, I have developed few products over the years starting from version 2 in AutoLISP that I have used for the design of Roads, Sewerage and Drainage in civil engineering. I would like to...

    Started by aloy‎, 28th Aug 2015 02:30 pm
    • Replies: 5
    • Views: 282
    31st Aug 2015 12:16 pm Go to last post
  13. Cool Match font lisp?

    Are there a lisp can match font from text/mtext to another one (no need change style rotation or height)???? in another word match properties lisp can change just font of text.

    Started by hosyn‎, 29th Aug 2015 11:38 pm
    • Replies: 4
    • Views: 222
    31st Aug 2015 02:01 am Go to last post
  14. Carriage return in lisp-created MText

    Hello, I have the following lisp which displays the coordinates of a selected point with a leader: (defun c:xy () (setq pt (getpoint " Pick Point: ")) (setq x (rtos (car pt))) ...

    Started by robertbon‎, 12th Dec 2013 05:27 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 1,667
    29th Aug 2015 11:34 pm Go to last post
  15. Exclamation Layout and Viewport Question

    Hi i want to ask something. Is it possible to add same dimensions or texts in my model space but this thing be hiden in viewport window? I don't want to freeze or turn off the layer. I want to see...

    Started by prodromosm‎, 28th Aug 2015 09:02 am
    • Replies: 5
    • Views: 193
    29th Aug 2015 04:31 am Go to last post
  16. find linear distances between a selection set of vertical lines

    hello i want to get linear distances between lines as in image on special layer and if distance exceed edge lines rotate it to vertical direction as in image any help will be appreciated

    Started by motee-z‎, 4th Aug 2015 10:02 pm
    • Replies: 8
    • Views: 394
    29th Aug 2015 03:32 am Go to last post
  17. viewport Layers Frozen/Thawed

    I find this lisp that frozen layers in viewports ;;; vpf.lsp Viewport Layer Freeze ;;; ;;; ARGUMENTS ;;; none ;;; ;;; USAGE ;;; vpf

    Started by prodromosm‎, 28th Aug 2015 11:34 am
    • Replies: 3
    • Views: 182
    29th Aug 2015 12:35 am Go to last post
  18. If statement by entity

    I wonder if this is even possible? I'd like to crate an if statement to go inside an existing lisp that makes a decision based on entity type. Something along the lines of: (if (equal (0 ....

    Started by Happy Hobbit‎, 27th Aug 2015 01:18 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 375
    28th Aug 2015 12:20 pm Go to last post
  19. Question Deleting selected texts on the list - Help

    I have a dcl and a lisp that list all text and mtext in a drawing and I want to delete selected texts on the list by Delete button on DCL but I need to resolve(if possible): 1) My first goal to...

    Started by pavilon‎, 25th Aug 2015 10:22 am
    • Replies: 6
    • Views: 314
    28th Aug 2015 08:26 am Go to last post
  20. Creating an Attribute Value from a specified prefix and the file name.

    I'm trying to build a string using a specified prefix (user defined variable) and the file name. I then want to set the string as a variable and pass it to an attribute as the new value. Here is a...

    Started by Da Ballz‎, 28th Aug 2015 01:03 am
    • Replies: 3
    • Views: 190
    28th Aug 2015 07:58 am Go to last post
  21. Smile Export drawing to image JPG

    Hello everyone, Do you have a lisp to export drawing object to image jpg you can see the detail below:

    Started by mit‎, 27th Aug 2015 03:41 pm
    • Replies: 7
    • Views: 232
    28th Aug 2015 05:53 am Go to last post
  22. separate file with aliases for lisps routines

    Hello, I'm working on pack of lisp routines not only for my use. I would like to make my own file with aliases definition for lisps (simmilar to pgp file) e.g. I have lisp functions defined as...

    Started by ziele_o2k‎, 26th Aug 2015 12:37 am
    • Replies: 7
    • Views: 325
    28th Aug 2015 04:40 am Go to last post
  23. SWEEP-> MOde->SUrface

    SWEEP-> MOde->SUrface In my code I need set SWEEP command to Surface mode. But I could not find any system variable to set this. Please can you show me how to write lisp code to set this.

    Started by wimal‎, 27th Aug 2015 03:10 pm
    • Replies: 4
    • Views: 201
    27th Aug 2015 04:56 pm Go to last post
  24. how can i delete all entites which are members in a selection set?

    Hi how can i delete all entites which are members in a selection set? (setq ss (ssget '((0 . "DIMENSION") (3 . "AR-DS-50")))) ;_ delete all ss members off the model space Thanks

    Started by samifox‎, 27th Aug 2015 01:29 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 248
    27th Aug 2015 02:28 pm Go to last post
  25. Incremental Attribute

    Hi guys, i have a polyline of 10,000m, and i want to plot one attribute block on that on the interval of every 1000m. But the block should be plot in incremental number for example, DC-1 on 1000m...

    Started by satishrajdev‎, 11th Jan 2013 10:27 am
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 1,587
    27th Aug 2015 02:05 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts